component:
  stage: test-integration
  variables:
    OPENTOFU_VERSION: $LATEST_OPENTOFU_VERSION
    TF_STATE_NAME: ci-integration-$CI_PIPELINE_IID-$CI_NODE_INDEX
    TF_ROOT: tests/terraform
  trigger:
    include: tests/integration-tests/$PIPELINE
    strategy: depend
  rules:
    - if: '$CI_PROJECT_PATH == "components/opentofu"'
      #- if: '$CI_MERGE_REQUEST_EVENT_TYPE == "merge_train"'
  parallel:
    matrix:
      - PIPELINE: [Defaults.gitlab-ci.yml]
